Subject: Re: [PATCH] merge-tree: load default git config

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 May 2023 15:32:24 -0700

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

> The fix is simple: load the default Git config in cmd_merge_tree().
> This may also fix other behaviors that are effected by reading default
> config. The only possible downside is a little extra computation time
> spent reading config. The config parsing is placed after basic argument
> parsing so it does not slow down usage errors.

Presumably merge-tree wants to serve a low-level machinery that
gives reliable reproducible result, we may want to keep the
configuration variables we read as narrow as practical.  The
default_config() callback may still be wider than desirable from
that point of view, but I guess that is the most reasonable choice?

Thanks.